Bug 125399 - kdemultimedia breaks sound (ALSA)
kdemultimedia breaks sound (ALSA)
Product: Fedora
Classification: Fedora
Component: kdemultimedia (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Petr Rockai
Depends On:
  Show dependency treegraph
Reported: 2004-06-06 05:32 EDT by Ville Skyttä
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-21 14:24:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Spurious asound.state changes made by kdemultimedia (2.16 KB, patch)
2004-06-06 05:34 EDT, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2004-06-06 05:33:00 EDT
When kdemultimedia is installed, it apparently does some sound/ALSA
related config tweaks at KDE startup.  The result is that everything
*looks* fine in various mixer apps (kmix, gkrellm-volume, alsamixer ->
no muting, sound levels up and sane etc), but there's no sound.

I will attach a diff about what happens to asound.state:
asound.state.good is my working configuration, and asound.state.bad is
the one after starting up KDE when kdemultimedia is installed.

Why everything looks fine in alsamixer etc, beats me.  The diff
clearly shows that "Musix Playback Volume" has been set to 0 by
something, but that is not shown in the mixer apps.  Trying to change
the sound levels from kmix or alsamixer has no effect.

In case it matters, I have an SB Audigy.  Oh, and removing
kdemultimedia works around this; without it no spurious config changes
happen and sound continues to work fine.
Comment 1 Ville Skyttä 2004-06-06 05:34:39 EDT
Created attachment 100901 [details]
Spurious asound.state changes made by kdemultimedia
Comment 2 Ville Skyttä 2004-06-06 05:52:29 EDT
Correction: the "Music Playback Volume" change to 0 has been made only
to the left channel, and is shown correctly in alsamixer.

However, the issue remains, changing that in alsamixer has no effect
and the only way I've found how to get sound working again is to
remove kdemultimedia.
Comment 3 Petr Rockai 2005-03-21 03:56:40 EST
Could you please try to reproduce with fc3 or rawhide? If the bug still  
persists, i will look into it. Thanks. 
Comment 4 Ville Skyttä 2005-03-21 14:24:19 EST
The box where this happened doesn't really exist any more, so I cannot test with
the exact same configuration.  However, the FC3 and rawhide systems I have
access to are pretty much similar to that one, and the problem seems to be gone.
 I'm afraid (heh) I won't be able to reproduce this any more, so closing,
assuming fixed in current releases.

Note You need to log in before you can comment on or make changes to this bug.